### Method

# Gio Permission impl_update

since: 2.26

#### Declaration [src]

    void
    g_permission_impl_update (
      GPermission* permission,
      gboolean allowed,
      gboolean can_acquire,
      gboolean can_release
    )

#### Description [src]

This function is called by the `GPermission` implementation to update the properties of the permission. You should never call this function except from a `GPermission` implementation.

GObject notify signals are generated, as appropriate.

Available since: 2.26

#### Parameters

`allowed`

  Type: `gboolean`

  The new value for the ‘allowed’ property.

`can_acquire`

  Type: `gboolean`

  The new value for the ‘can-acquire’ property.

`can_release`

  Type: `gboolean`

  The new value for the ‘can-release’ property.